<?php
defined('ABSPATH') || exit('No Access!');

$ht_product_ads = irk_get_head_tag('ht-product-ads', ['class' => 'title']);
$product = wc_get_product(irk_generate_product_id($product_id));
if (!$product) {
    return null;
}

?>
<a href="<?php echo $product->get_permalink(); ?>" title="<?php echo $product->get_name(); ?>" <?php wc_product_class('', $product_id); ?>>
    <div class="img-wrapper">
        <?php echo $product->get_image('woocommerce_thumbnail', ['class' => 'img-fluid']); ?>
    </div>
    <?php echo $ht_product_ads['open'] . $product->get_name() . $ht_product_ads['close']; ?>
    <?php echo $product->get_price_html(); ?>
</a>
